'use strict'
import FluidService from '../../src/services/fluidService'
import data from '../__mocks__/enedis-dayMock.json'
/* eslint-env jest */

const mockClient = {
  find: jest.fn(),
  create: jest.fn(),
  destory: jest.fn(),
}

describe('Fluid service tests', () => {
  beforeEach(() => {
    // reset all jest mock calls data before each test
    jest.resetAllMocks()
  })

  it('should return last two week electricity', () => {
    const fluidService = new FluidService(mockClient)
    //console.log(data)
    const indicators = fluidService.processElectricityData(data)
    expect(indicators.consumptionValue).toBe(104)
    /*expect(indicators.eucilidanComparator).toBe(
      "Vous avez consommé un max d'ampoules !"
    )*/
    expect(indicators.weeklyCompareValue).toBe(-29)
  })
})
